src/beans/HistoryBeans.java
package beans;

import java.text.SimpleDateFormat;
import java.util.Date;

public class HistoryBeans {

	private int history_id;
	private String login_id;
	private int price_total;
	private Date buy_day;

	private int month_price;

	public int getMonth_price() {
		return month_price;
	}

	public void setMonth_price(int month_price) {
		this.month_price = month_price;
	}

	public Date getBuy_day() {
		return buy_day;
	}

	public HistoryBeans(int history_id, String login_id, int price_total, Date buy_day) {
		this.history_id = history_id;
		this.login_id = login_id;
		this.price_total = price_total;
		this.buy_day = buy_day;
	}

	public HistoryBeans(int month_price) {
		this.month_price = month_price;
	}

//	アクセサ ---------------------------------------

	public String getLogin_id() {
		return login_id;
	}

	public void setLogin_id(String login_id) {
		this.login_id = login_id;
	}

	public void setPrice_total(int price_total) {
		this.price_total = price_total;
	}

	public void setBuy_day(Date buy_day) {
		this.buy_day = buy_day;
	}

	public int getHistory_id() {
		return history_id;
	}
	public void setHistory_id(int history_id) {
		this.history_id = history_id;
	}
	public String getUser_id() {
		return login_id;
	}
	public void setUser_id(String user_id) {
		this.login_id = user_id;
	}
	public int getPrice_total() {
		return price_total;
	}

	public String getFormatDate() {
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy年MM月dd日HH時mm分");
		return sdf.format(buy_day);
	}




}

src/beans/ItemBeans.java
package beans;

public class ItemBeans {

	private int item_id;
	private String item_name;
	private String item_text;
	private int item_price;
	private int item_count;
	private String file_name;

	private int category_id;
	private String category_name;
	private int wish_id;


	// 	コンストラクタ ---------------------------------------
	public ItemBeans(int item_id, String item_name, String item_text, int item_price, int item_count, String file_name) {
		this.item_id = item_id;
		this.item_name = item_name;
		this.item_text = item_text;
		this.item_price = item_price;
		this.item_count = item_count;
		this.file_name = file_name;
	}

	public ItemBeans(int item_id, String item_name, String item_text, int item_price, int item_count, String file_name, int category_id) {
		this.item_id = item_id;
		this.item_name = item_name;
		this.item_text = item_text;
		this.item_price = item_price;
		this.item_count = item_count;
		this.file_name = file_name;
		this.category_id = category_id;
	}

	public ItemBeans(int item_id, String item_name, String item_text, int item_price, String file_name) {
		this.item_id = item_id;
		this.item_name = item_name;
		this.item_text = item_text;
		this.item_price = item_price;
		this.file_name = file_name;
	}

	public ItemBeans(int wish_id, int item_id, String item_name, String item_text, int item_price, int item_count, String file_name) {
		this.wish_id = wish_id;
		this.item_id = item_id;
		this.item_name = item_name;
		this.item_text = item_text;
		this.item_price = item_price;
		this.item_count = item_count;
		this.file_name = file_name;
	}

	public ItemBeans(String item_name, String item_text, int item_price, int item_count, String file_name, int item_id) {
		this.item_name = item_name;
		this.item_text = item_text;
		this.item_price = item_price;
		this.item_count = item_count;
		this.file_name = file_name;
		this.item_id = item_id;
	}

	public ItemBeans(String item_name, String item_text, int item_price, int item_count, String file_name) {
		this.item_name = item_name;
		this.item_text = item_text;
		this.item_price = item_price;
		this.item_count = item_count;
		this.file_name = file_name;
	}

	public ItemBeans(int item_id, String item_name, int item_price, int item_count) {
		this.item_id = item_id;
		this.item_name = item_name;
		this.item_price = item_price;
		this.item_count = item_count;
	}


	public ItemBeans(String category_name) {
		this.category_name = category_name;
	}

//	アクセサ ---------------------------------------

	public int getItem_id() {
		return item_id;
	}
	public void setItem_id(int item_id) {
		this.item_id = item_id;
	}
	public String getItem_name() {
		return item_name;
	}
	public void setItem_name(String item_name) {
		this.item_name = item_name;
	}
	public String getItem_text() {
		return item_text;
	}
	public void setItem_text(String item_text) {
		this.item_text = item_text;
	}
	public int getItem_price() {
		return item_price;
	}
	public void setItem_price(int item_price) {
		this.item_price = item_price;
	}
	public int getItem_count() {
		return item_count;
	}
	public void setItem_count(int item_count) {
		this.item_count = item_count;
	}
	public String getFile_name() {
		return file_name;
	}
	public void setFile_name(String file_name) {
		this.file_name = file_name;
	}
	public int getWish_id() {
		return wish_id;
	}
	public void setWish_id(int wish_id) {
		this.wish_id = wish_id;
	}
	public int getCategory_id() {
		return category_id;
	}
	public void setCategory_id(int category_id) {
		this.category_id = category_id;
	}
	public String getCategory_name() {
		return category_name;
	}
	public void setCategory_name(String category_name) {
		this.category_name = category_name;
	}
	public int getSale_price() {
		return (int)(this.item_price * 0.7);
	}






}

src/ec/AdminContactDetailServlet.java
package ec;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.ContactBeans;
import beans.UserBeans;
import dao.MasterDao;

@WebServlet("/AdminContactDetailServlet")
public class AdminContactDetailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    public AdminContactDetailServlet() {
        super();
    }

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");
//		ログイン情報ない場合 --------------------------------------------------
		HttpSession session = request.getSession();
		UserBeans userInfo = (UserBeans) session.getAttribute("userInfo");

		if (userInfo == null) {
			response.sendRedirect("AdminLoginServlet");
			return;
		}
//	------------------------------------------------------------------------
		int id = Integer.parseInt(request.getParameter("id"));

		System.out.println(id);

		MasterDao masterDao = new MasterDao();
	    ContactBeans contactDate = masterDao.contact(id);

		request.setAttribute("con", contactDate);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/admin-contact-detail.jsp");
		dispatcher.forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

		int id = Integer.parseInt(request.getParameter("id"));
		MasterDao.deleteContact(id);

		response.sendRedirect("AdminContactServlet");
	}

}

src/ec/AdminContactServlet.java
package ec;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.ContactBeans;
import beans.UserBeans;
import dao.MasterDao;

@WebServlet("/AdminContactServlet")
public class AdminContactServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    public AdminContactServlet() {
        super();
    }

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
//		------------------------------------------------------------------------
//		ログイン情報ない場合
		HttpSession session = request.getSession();
		UserBeans userInfo = (UserBeans) session.getAttribute("userInfo");

		if (userInfo == null) {
			response.sendRedirect("AdminLoginServlet");
			return;
		}
//	------------------------------------------------------------------------

		MasterDao master = new MasterDao();
		List<ContactBeans> contact = master.contactList();

		String message = "";
		if(contact.isEmpty()) {
			message = "問合せはありません。";
		}
		request.setAttribute("message", message);

		request.setAttribute("contact", contact);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/admin-contact.jsp");
		dispatcher.forward(request, response);
	}

}

src/ec/AdminDetailProductServlet.java
package ec;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.ItemBeans;
import beans.UserBeans;
import dao.MasterDao;

@WebServlet("/AdminDetailServlet")
public class AdminDetailProductServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    public AdminDetailProductServlet() {
        super();
    }

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

//		------------------------------------------------------------------------
//		ログイン情報ない場合
		HttpSession session = request.getSession();
		UserBeans userInfo = (UserBeans) session.getAttribute("userInfo");

		if (userInfo == null) {
			response.sendRedirect("AdminLoginServlet");
			return;
		}
//	------------------------------------------------------------------------

		int id = Integer.parseInt(request.getParameter("id"));

//		リクエストパラメータの入力項目を引数に渡して、Daoのメソッドを実行
		MasterDao masterDao = new MasterDao();
		ItemBeans itemDate = masterDao.findItem(id);

		HttpSession session2 = request.getSession();
		session2.setAttribute("itemDate", itemDate);


		if(itemDate.getItem_count() <= 10 && itemDate.getItem_count() >= 1) {
			request.setAttribute("errMsg", "残りの在庫が少なくなっています。");

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/admin_detail_product.jsp");
			dispatcher.forward(request, response);
		}else if (itemDate.getItem_count() <= 0) {
			request.setAttribute("errMsg", "在庫がありません。");

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/admin_detail_product.jsp");
			dispatcher.forward(request, response);
		}

		ItemBeans categoryName = masterDao.categorySearch(itemDate.getCategory_id());
		HttpSession session3 = request.getSession();
		session3.setAttribute("categoryName", categoryName);


		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/admin_detail_product.jsp");
		dispatcher.forward(request, response);
	}

}

src/ec/AdminLoginServlet.java
package ec;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.UserBeans;
import dao.UserDao;


@WebServlet("/AdminLoginServlet")
public class AdminLoginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    public AdminLoginServlet() {
        super();
    }

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/admin_login.jsp");
		dispatcher.forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// リクエストパラメータの文字コードを指定
        request.setCharacterEncoding("UTF-8");

	    // リクエストパラメータの入力項目を取得
		String login_id = request.getParameter("login_id");
		String password = request.getParameter("password");

		UserDao masterDao = new UserDao();
		UserBeans user = masterDao.findByLoginInfo(login_id, password);

		if(user == null) {
			request.setAttribute("errMsg", "ログインに失敗しました。");

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/admin_login.jsp");
			dispatcher.forward(request, response);
			return;
		} else if(!(user.getLogin_id().equals("user-admin"))) {
			request.setAttribute("errMsg", "ログインに失敗しました。");

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/admin_login.jsp");
			dispatcher.forward(request, response);
			return;
		}

		// セッションにユーザの情報をセット
		HttpSession session2 = request.getSession();
		session2.setAttribute("userInfo", user);

		// ユーザ一覧のサーブレットにリダイレクト
		response.sendRedirect("AdminTopServlet");

	}
}

src/ec/AdminTopServlet.java
package ec;

import java.io.IOException;
import java.util.Date;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.HistoryBeans;
import beans.ItemBeans;
import beans.UserBeans;
import dao.MasterDao;
import dao.UserDao;

@WebServlet("/AdminTopServlet")
public class AdminTopServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    public AdminTopServlet() {
        super();
    }

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

//	------------------------------------------------------------------------
//		ログイン情報ない場合
		HttpSession session = request.getSession();
		UserBeans userInfo = (UserBeans) session.getAttribute("userInfo");

		if (userInfo == null) {
			response.sendRedirect("AdminLoginServlet");
			return;
		}
//	------------------------------------------------------------------------
//		商品情報
		MasterDao masterDao = new MasterDao();
		List<ItemBeans> item = masterDao.itemAll();

		// リクエストスコープにユーザ一覧情報をセット
		request.setAttribute("itemList", item);

//		------------------------------------------------------------------------
//		今月の売り上げ

		Date date = new Date();

		UserDao month = new UserDao();
		HistoryBeans monthPrice = month.monthSale(date);

		request.setAttribute("monthPrice", monthPrice);

//		------------------------------------------------------------------------

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/admin_top.jsp");
		dispatcher.forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	}

}

src/ec/CompletedServlet.java
package ec;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.UserBeans;

@WebServlet("/CompletedServlet")
public class CompletedServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;


    public CompletedServlet() {
        super();
    }

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

//		------------------------------------------------------------------------
//		ログイン情報ない場合
		HttpSession session = request.getSession();
		UserBeans userInfo = (UserBeans) session.getAttribute("userInfo");

		if (userInfo == null) {
			response.sendRedirect("EcLoginServlet");
			return;
		}
//	------------------------------------------------------------------------

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/completed.jsp");
		dispatcher.forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	}

}

src/ec/DeleteServlet.java
package ec;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.UserBeans;
import dao.UserDao;


@WebServlet("/DeleteServlet")
public class DeleteServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;


    public DeleteServlet() {
        super();
    }

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

//		------------------------------------------------------------------------
//		ログイン情報ない場合
		HttpSession session = request.getSession();
		UserBeans userInfo = (UserBeans) session.getAttribute("userInfo");

		if (userInfo == null) {
			response.sendRedirect("EcLoginServlet");
			return;
		}
//	------------------------------------------------------------------------

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/delete.jsp");
		dispatcher.forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		String login_id = request.getParameter("login_id");

		UserDao userDao = new UserDao();
		userDao.deleteUser(login_id);

		response.sendRedirect("IndexServlet");
	}

}

WebContent/WEB-INF/jsp/add_product.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="utf-8">
<title>add product</title>
<link rel="stylesheet" href="admin_css/common.css">
<link rel="stylesheet" href="admin_css/add_product.css">
</head>
<body>

<main>

  <div id="add_product">

    <h2>商品情報追加</h2>

    <form action="AdminAddProductServlet" method="post">

      商品名<br><input type="text" name="item_name"><br>
      商品説明<br><textarea name="item_text" rows="4" cols="40">ここに記入してください。</textarea><br>
      金額<br><input type="text" name="item_price"><br>
      個数<br><input type="number" min="0" name="item_count"><br>
      商品カテゴリー<br>
   	  <select name="category_id">
		<option value="1">机・デスク</option>
		<option value="2">椅子・ソファ</option>
		<option value="3">収納・タンス</option>
		<option value="4">照明・ライト</option>
	  </select><br>
      商品画像<br><input type="file" name="file_name"><br>

      <input id="subm" type="submit" value="追加">
    </form>

  </div>

<form id="back_button" action="AdminTopServlet">
  <input type="submit" name="back" value="戻る">
</form>

</main>

</body>
</html>

WebContent/WEB-INF/jsp/admin-contact-detail.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>問合せ内容</title>
<link rel="stylesheet" href="admin_css/common.css">
<link rel="stylesheet" href="admin_css/admin-contact-detail.css">
</head>
<body>

<main>
  <h2>問合せ内容確認</h2>

  <div id="user-date">
    <p>${con.post_day }</p>
    <p>お名前 : ${con.user_name } 様</p>
    <p>内容 : ${con.contact_category }</p>
    <p>連絡先 : ${con.user_address }</p>
  </div>

  <h3>お問い合わせ内容</h3>
  <div id="text">
      <p>${con.contact_text }</p>
  </div>

  <div id="delete">
  	<form action="AdminContactDetailServlet" method="post">
  		<input type="hidden" name="id" value="${con.contact_id }">
  		<button type="submit">削除</button>
  	</form>
  </div>

  <a id="back" href="AdminContactServlet">戻る</a>

</main>




</body>
</html>

WebContent/WEB-INF/jsp/product_detail.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!-- 商品詳細 -->

<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="utf-8">
<title>ProductList</title>
<link rel="stylesheet" href="css/common.css">
<link rel="stylesheet" href="css/product_detail.css">
</head>
<body>

<header>
  <div id="header_content">

  <c:if test="${userInfo != null}">
    <h1 id="EC"><a href="ProductListServlet">EC</a></h1>
  </c:if>

  <c:if test="${userInfo == null}">
    <h1 id="EC"><a href="IndexServlet">EC</a></h1>
  </c:if>

    <ul id="list">
    <c:if test="${userInfo != null}">
      <li><a href="ComfirmCartServlet">CART</a></li>
      <li><a href="UserServlet">USER</a></li>
      <li><a href="ContactServlet">CONTACT</a></li>
      <li><a href="LogoutServlet">LOGOUT</a></li>
    </c:if>

    <c:if test="${userInfo == null}">
      <li><a href="EcLoginServlet">LOGIN</a></li>
      <li><a href="NewUserServlet">SIGN UP</a></li>
    </c:if>
    </ul>
  </div>
</header>

<main>

<div id="detail_content">
	<!-- 通常価格 -->
	<c:if test="${itemDate != null}">
	    <div id="detail_img">
	      <img class="product_pic" src="img/${itemDate.file_name }">
	    </div>
	    <div id="detail_text">
	      <h3>${itemDate.item_name }</h3>
	      <p id="product_text">${itemDate.item_text }</p>
	      	<p>${itemDate.item_price } 円</p>
	    </div>
	</c:if>

	<!-- セール価格 -->
	<c:if test="${itemSaleDate != null}">
		<div id="detail_img">
	      <img class="product_pic" src="img/${itemSaleDate.file_name }">
	    </div>
	    <div id="detail_text">
	      <h3>${itemSaleDate.item_name }</h3>
	        <p id="product_text">${itemSaleDate.item_text }</p>
	      	<p>セール価格 ${itemSaleDate.sale_price } 円</p>
	    </div>
	</c:if>

</div>

  <!-- カート -->
  <!-- ユーザー情報がある場合 -->
  <c:if test="${userInfo != null}">
	  <div id="cart">
	    <form id="cart_form" action="ComfirmCartServlet" method="post">
	    <c:if test="${itemDate != null}">
	      	<input type="hidden" name="id" value="${itemDate.item_id }">
	      	<input type="hidden" name="name" value="${itemDate.item_name }">
	      	<input type="hidden" name="price" value="${itemDate.item_price }">
	      </c:if>
	      <c:if test="${itemSaleDate != null}">
	      	<input type="hidden" name="id" value="${itemSaleDate.item_id }">
	      	<input type="hidden" name="name" value="${itemSaleDate.item_name }">
	      	<input type="hidden" name="price" value="${itemSaleDate.sale_price }">
	      </c:if>
	  個数 <input id="count-input" type="number" min="1" max="10" value="1" name="item_count">
	      <input class="submit" type="submit" value="カートに入れる">
	    </form>

		  <div id="wish">
			<form action="WishServlet" method="post">
			<c:if test="${itemDate != null}">
				<input type="hidden" name="id" value=${itemDate.item_id }>
			</c:if>
			<c:if test="${itemSaleDate != null}">
				<input type="hidden" name="id" value=${itemSaleDate.item_id }>
			</c:if>
			  	<input class="submit" type="submit" value="欲しいものリストに追加">
			</form>
		  </div>

		  <div id="write-review">
			<form action="WriteReviewServlet" method="post">
			<c:if test="${itemDate != null}">
				<input type="hidden" name="id" value=${itemDate.item_id }>
			</c:if>
			<c:if test="${itemSaleDate != null}">
				<input type="hidden" name="id" value=${itemSaleDate.item_id }>
			</c:if>
			  	<input class="submit" type="submit" value="レビューを書く">
			</form>
		  </div>
	  </div>
  </c:if>

<!-- ユーザー情報がない場合 -->
  <c:if test="${userInfo == null}">
	  <div id="cart">
	    <form id="cart_form" action="FromTopComfirmCartServlet" method="post">
	      <input type="hidden" name="id" value="${itemDate.item_id }">
	      <input type="hidden" name="name" value="${itemDate.item_name }">
	      <input type="hidden" name="price" value="${itemDate.item_price }">
	  <label>個数 <input id="count-input" type="number" min="1" max="10" value="1" name="item_count" required></label>
	      <input class="submit" type="submit" value="カートに入れる">
	    </form>
	  </div>
  </c:if>

<div id="reviews">
	<h2>REVIEWS</h2>
	<c:if test="${err != null}">
		<p id="err-message">${err }</p>
	</c:if>

	<c:forEach var="review" items="${reviewList }">
		<div class="review-box">
			<div class="user-date">
				<img src="img/human.png">
				<p>${review.user_name }</p>
			</div>

	 		<div class="user-review">
				<h3>${review.reviews_title }</h3>
				<p>${review.reviews_text }</p>
			</div>
		</div>
	</c:forEach>
</div>

</main>

</body>
</html>

WebContent/WEB-INF/jsp/user_detail.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!-- 購入履歴　詳細 -->

<!DOCTYPE html>
<html lang="ja">
  <head>
  <meta charset="utf-8">
  <title>comfirm cart</title>
  <link rel="stylesheet" href="css/common.css">
  <link rel="stylesheet" href="css/user_detail.css">
  </head>
<body>

<header>
  <div id="header_content">
    <h1 id="EC"><a href="ProductListServlet">EC</a></h1>

    <ul id="list">
      <li><a href="ComfirmCartServlet">CART</a></li>
      <li><a href="UserServlet">USER</a></li>
      <li><a href="ContactServlet">CONTACT</a></li>
      <li><a href="LogoutServlet">LOGOUT</a></li>
    </ul>
  </div>
</header>

<main>

    <h2>購入履歴詳細</h2>

    <div id="user_detail_tb">
        <table id="left">
          <tr>
            <th>購入日時</th>
            <th>合計金額</th>
          </tr>

          <tr>
            <td>${historyDate.formatDate }</td>
            <td>${historyDate.price_total } 円</td>
          </tr>

        </table>

        <table id="right">

        	  <tr>
	            <th>商品名</th>
	            <th>金額</th>
	            <th>個数</th>
	          </tr>

	        <c:forEach var="history" items="${historyDetailDate}">
	          <tr>
	            <td>${history.item_name }</td>
	            <td>${history.item_price } 円</td>
	            <td>${history.item_count }</td>
	          </tr>
			</c:forEach>
        </table>
    </div>

</main>

    <a id="back" href="UserServlet">戻る</a>



</body>
</html>